콘텐츠로 이동
로그인 가입하기

Google Jobs API

Google Jobs에서 구조화된 채용 공고 목록을 가져옵니다. engine=google_jobs를 설정하고 barista 또는 software engineer와 같은 검색어를 전달하여 직무명, 고용주, 위치, 지원 링크를 조회합니다.

GET https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_jobs
qstringyesThe job search query
devicestringnodesktop, mobile, or tablet
google_domainstringnoGoogle domain to use
locationstringnoGeotargeting location name
uulestringnoGoogle encoded location string
hlstringnoInterface language code
glstringnoCountry code
startintnoResult offset for pagination
Terminal window
curl "https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY&q=barista"
{
"search_parameters": {
"engine": "google_jobs",
"q": "barista",
"google_domain": "google.com"
},
"jobs_results": [
{
"title": "Barista",
"company_name": "Starbucks",
"location": "New York, NY",
"via": "via Indeed",
"description": "Create the Starbucks Experience...",
"detected_extensions": {
"posted_at": "2 days ago",
"schedule_type": "Part-time"
},
"job_id": "eyJqb2JfdGl0bGUiOiJCYXJpc3RhIi..."
}
]
}